Bug 1644586 - System admin role cannot create new organizations
Summary: System admin role cannot create new organizations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Users & Roles
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-31 08:13 UTC by Sanket Jagtap
Modified: 2019-10-07 17:18 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:26 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:34 UTC

Description Sanket Jagtap 2018-10-31 08:13:41 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build: Satellite 6.5.0 snap1

How reproducible:
Always

Steps to Reproduce:
1. Clone the System admin role 
2. Assign it to a user, login with the user
3. Try to create new organization

Actual results:
Unable to create new org

Expected results:
We should be able to create new orgs with the roles

Additional info:
Looks like we are missing https://github.com/Katello/katello/pull/7532

Comment 4 Sanket Jagtap 2018-12-19 06:11:00 UTC
Build: Satellite 6.5 snap8 


hammer>  user create --auth-source-id="1" --firstname="VzkJLVaVag" --lastname="EsiloJXIQt" --login="testsys" --mail="ZCKsBzyjuh@example.com" --password=aa --organization-ids=1 --role-ids="4" --location-ids=2
User [testsys] created.

hammer> user info --login testsys
Id:                    54
Login:                 testsys
Name:                  VzkJLVaVag EsiloJXIQt
Email:                 ZCKsBzyjuh@example.com
Admin:                 no
Last login:            
Authorized by:         Internal
Effective admin:       no
Locale:                default
Timezone:              default
Description:           
Default organization:  
Default location:      
Roles:                 
    System admin
User groups:           

Inherited User groups: 

Locations:             
    Default Location
Organizations:         
    Default Organization
    testorg
Created at:            2018/12/19 06:06:11
Updated at:            2018/12/19 06:06:11


hammer> role info --id 4
Id:          4
Name:        System admin
Builtin:     no
Description: Role granting permissions for managing organizations, locations, users, usergroups, auth sources, roles, filters and settings. This is a very powerful role that can potentially gain access to all resources.

hammer> exit
[root@qe-sat6-feature-rhel7 ~]# hammer -u testsys -p aa shell

hammer> auth status
Using configured credentials for user 'testsys'.
hammer> organization create --name testorg
Organization created.
hammer> organization list 
---|----------------------|----------------------|-------------|----------------------|------------
ID | TITLE                | NAME                 | DESCRIPTION | LABEL                | DESCRIPTION
---|----------------------|----------------------|-------------|----------------------|------------
1  | Default Organization | Default Organization |             | Default_Organization |            
34 | testorg              | testorg              |             | testorg              |            
---|----------------------|----------------------|-------------|----------------------|------------
hammer> organization info --id 34
Id:                     34
Title:                  testorg
Name:                   testorg
Description:            
Users:                  
    testsys
Smart proxies:          
    <snip>
Subnets:                

Compute resources:      

Installation media:     

Templates:              
    Alterator default (provision)
<snip>

Comment 7 errata-xmlrpc 2019-05-14 12:38:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.